/***************************************************************************
                          grid.h  -  description
                             -------------------
    begin                : Mon Feb 14 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GRID_H
#define GRID_H

#include <qpixmap.h>
#include <qpainter.h>
#include <qpointarray.h>

#include <kapp.h>
#include <kconfig.h>

/**
  *@author Marc Bartsch
  */

class grid : public QPixmap  {

	public:
		grid(int x, int y);
		~grid();
		void drawBackground(int x, int y, int dx, int dy);
		void drawWholeBackground();
		void doubleGridDist();
		void halfGridDist();
		int distGridX;
		int distGridY;

	private:
   	QPainter p;
		int gridWidth;
		int gridHeight;
		int minDistGridX;
		int minDistGridY;
		int leftTopX;
		int leftTopY;
		int x1;
		int x2;
		int y1;
		int y2;
		bool gridLines;
		bool numbers;
		bool axes;
		void drawCross(int x, int y);
		void getGridConfig();
};

#endif

