/***************************************************************************
                          kgeoMenuToolbarSlots.cpp  -  description
                             -------------------
    begin                : Sun Oct 8 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kgeo.h"

/////////////////////////////////////////////////////////////////////
// SLOT IMPLEMENTATION
/////////////////////////////////////////////////////////////////////

void KGeoApp::slotFileNewWindow()
{
}

void KGeoApp::slotFileNew()
{
	newDrawing();
}

void KGeoApp::slotFileOpen()
{
	loadDrawingDialog();
}

void KGeoApp::slotFileOpenRecent( int )
{
}

void KGeoApp::slotFileSave()
{
	if ( unnamedDrawing )
	{
		slotFileSaveAs();
	} else {
		saveDrawing( currentFilename );
	}
}

void KGeoApp::slotFileSaveAs()
{
  QString fileName = QFileDialog::getSaveFileName(QDir::currentDirPath(),
                                               i18n("*.kgeo"), 0, i18n("Save as..."));
	if( !fileName.isEmpty() )
	{
		if ( QFile::exists( fileName ) )
		{
			int result;
			result = QMessageBox::warning ( 0, i18n( "KGeo - Warning" ),
						i18n( "The file already exists!\n\n"
									"Do you want to overwrite it? " ),
						QMessageBox::Yes, QMessageBox::No | QMessageBox::Default | QMessageBox::Escape);

			if ( result == QMessageBox::Yes )
			{
				currentFilename = fileName;
				saveDrawing( fileName );
				updateRecentFiles( fileName );
			}
		} else {
				currentFilename = fileName;
				saveDrawing( fileName );
				updateRecentFiles( fileName );
		}

	}
}

void KGeoApp::slotFileClose()
{
}

void KGeoApp::slotFilePrint()
{
	printDialog();
}

void KGeoApp::slotFileQuit()
{
	kapp->quit();
}

void KGeoApp::slotEditCut()
{
}

void KGeoApp::slotEditCopy()
{
}

void KGeoApp::slotEditPaste()
{
}

void KGeoApp::slotEditPreferences()
{
	//	Show prefences window
	getPreferences();

  if ( ( preferencesDialog->exec() ) )
	{			
		savePreferences();
	}
}

void KGeoApp::slotViewToolBar()
{
}

void KGeoApp::slotViewStatusBar()
{
}


void KGeoApp::slotStatusMsg( const QString& )
{
}


void KGeoApp::slotStatusHelpMsg( const QString& )
{
}

void KGeoApp::commandCallback( int id_ )
{
  switch (id_)
  {
    case ID_FILE_NEW_WINDOW:
         slotFileNewWindow();
    	 break;

    case ID_FILE_NEW:
    	 slotFileNew();
         break;

    case ID_FILE_OPEN:
         slotFileOpen();
         break;

    case ID_FILE_SAVE:
         slotFileSave();
         break;

    case ID_FILE_SAVE_AS:
         slotFileSaveAs();
         break;

    case ID_FILE_CLOSE:
         slotFileClose();
         break;

    case ID_FILE_PRINT:
         slotFilePrint();
         break;

    case ID_FILE_QUIT:
         slotFileQuit();
         break;

    case ID_EDIT_CUT:
         slotEditCut();
         break;

    case ID_EDIT_COPY:
         slotEditCopy();
         break;

    case ID_EDIT_PASTE:
         slotEditPaste();
         break;

    case ID_EDIT_PREFERENCES:
         slotEditPreferences();
         break;

    case ID_VIEW_TOOLBAR:
         slotViewToolBar();
         break;

    case ID_VIEW_STATUSBAR:
         slotViewStatusBar();
         break;

    case ID_EDIT_FULLSCREEN:
         startKioskMode();
         break;

    default:
         break;
  }
}

void KGeoApp::statusCallback( int id_ )
{
  switch (id_)
  {
    case ID_FILE_NEW_WINDOW:
         slotStatusHelpMsg(i18n("Opens a new application window"));
         break;

    case ID_FILE_NEW:
         slotStatusHelpMsg(i18n("Creates a new document"));
         break;

    case ID_FILE_OPEN:
         slotStatusHelpMsg(i18n("Opens an existing document"));
         break;

    case ID_FILE_OPEN_RECENT:
         slotStatusHelpMsg(i18n("Opens a recently used file"));
         break;

    case ID_FILE_SAVE:
         slotStatusHelpMsg(i18n("Saves the actual document"));
         break;

    case ID_FILE_SAVE_AS:
         slotStatusHelpMsg(i18n("Saves the actual document as..."));
         break;

    case ID_FILE_CLOSE:
         slotStatusHelpMsg(i18n("Closes the actual document"));
         break;

    case ID_FILE_PRINT:
         slotStatusHelpMsg(i18n("Prints out the actual document"));
         break;

    case ID_FILE_QUIT:
         slotStatusHelpMsg(i18n("Quits the application"));
         break;

    case ID_EDIT_CUT:
         slotStatusHelpMsg(i18n("Cuts the selected section and puts it to the clipboard"));
         break;

    case ID_EDIT_COPY:
         slotStatusHelpMsg(i18n("Copies the selected section to the clipboard"));
         break;

    case ID_EDIT_PASTE:
         slotStatusHelpMsg(i18n("Pastes the clipboard contents to actual position"));
         break;

    case ID_VIEW_TOOLBAR:
         slotStatusHelpMsg(i18n("Enables/disables the toolbar"));
         break;

    case ID_VIEW_STATUSBAR:
         slotStatusHelpMsg(i18n("Enables/disables the statusbar"));
         break;

    default:
         break;
  }
}
