/***************************************************************************
                          kgeoToolbarHandling.cpp  -  description
                             -------------------
    begin                : Sun Sep 17 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version. keuklid                                  *
 *                                                                         *
 ***************************************************************************/

#include "kgeo.h"

void KGeoApp::toolBar2Clicked( int x )
{
 	newObject = 0;
	disconnectAll();
	deselectParamObjects();
	currentButtonID = x;

	switch ( x )
	{
		case ID_buttonMoveGrid:
			drawingMode = ID_drawingModeMovingGrid;
			canvas->setCursor( sizeAllCursor );
	  	statusBar()->changeItem(  Str_buttonMoveGrid, 1 );
			startMoveGridMode();
			canvas->setStartup( false );
			break;
		case ID_buttonPoint:
			newObject = new Point();
			startConstructionMode( Str_buttonPoint );
			break;
		case ID_buttonSegment:
			newObject = new Segment();
			startConstructionMode(  Str_buttonSegment );
			break;
		case ID_buttonLine:
			newObject = new Line();
			startConstructionMode(  Str_buttonLine );
			break;
		case ID_buttonPointOnLine:
			newObject = new PointOnLine();
			startConstructionMode(  Str_buttonPointOnLine );
			break;
		case ID_buttonPointOfConc:
			newObject = new PointOfConc();
			startConstructionMode(  Str_buttonPointOfConc );
			break;
		case ID_buttonBisection:
			newObject = new Bisection();
			startConstructionMode(  Str_buttonBisection );
			break;		
		case ID_buttonMirrorPoint:
			newObject = new MirrorPoint();
			startConstructionMode(  Str_buttonMirrorPoint );
			break;		
		case ID_buttonTriangle:
			newObject = new Triangle();
			startConstructionMode(  Str_buttonTriangle );
			break;
		case ID_buttonCircle:
			newObject = new Circle();
			startConstructionMode(  Str_buttonCircle );
			break;
		case ID_buttonBaseCircle:
			newObject = new FixedCircle();
			startConstructionMode(  Str_buttonBaseCircle );
			break;
		case ID_buttonArc:
			newObject = new Arc();
			startConstructionMode(  Str_buttonArc );
			break;
		case ID_buttonVector:
			newObject = new Vector();
			startConstructionMode(  Str_buttonVector );
			break;
		case ID_buttonRay:
			newObject = new Ray();
			startConstructionMode(  Str_buttonRay );
			break;
		case ID_buttonParallel:
			newObject = new Parallel();
			startConstructionMode(  Str_buttonParallel );
			break;
		case ID_buttonPerpendicular:
			newObject = new Perpendicular();
			startConstructionMode(  Str_buttonPerpendicular );
			break;
		case ID_buttonMove:
			newObject = new Move();
			startConstructionMode(  Str_buttonMove );
			break;
		case ID_buttonRotation:
			newObject = new Rotation();
			startConstructionMode(  Str_buttonRotation );
			break;
		case ID_buttonEraser:
			newObject = new Eraser();
			startConstructionMode(  Str_buttonEraser );
			break;
		case ID_buttonAttacher:
			newObject = new Attacher();
			startConstructionMode(  Str_buttonAttacher );
			break;
		case ID_buttonTracer:
			newObject = new Tracer();
			startConstructionMode(  Str_buttonTracer );
			break;
		case ID_buttonText:
			newObject = new Text();
			startConstructionMode(  Str_buttonText );
			break;
		case ID_buttonDistance:
			newObject = new Distance();
			startConstructionMode(  Str_buttonDistance );
			break;
		case ID_buttonAngle:
			newObject = new Angle();
			startConstructionMode(  Str_buttonAngle );
			break;
		case ID_buttonArea:
			newObject = new Area();
			startConstructionMode(  Str_buttonArea );
			break;
		case ID_buttonSlope:
			newObject = new Slope();
			startConstructionMode(  Str_buttonSlope );
			break;
		case ID_buttonCircumference:
			newObject = new Circumference();
			startConstructionMode(  Str_buttonCircumference );
			break;
		case ID_buttonBlack:
			newObject = new Colorizer();
			newObject->setColor( black );
			startConstructionMode(  Str_buttonBlack );
			break;
		case ID_buttonDarkGray:
			newObject = new Colorizer();
			newObject->setColor( darkGray );
			startConstructionMode(  Str_buttonDarkGray );
			break;
		case ID_buttonLightGray:
			newObject = new Colorizer();
			newObject->setColor( lightGray );
			startConstructionMode(  Str_buttonLightGray );
			break;
		case ID_buttonWhite:
			newObject = new Colorizer();
			newObject->setColor( white );
			startConstructionMode(  Str_buttonWhite );
			break;
		case ID_buttonBlue:
			newObject = new Colorizer();
			newObject->setColor( blue );
			startConstructionMode(  Str_buttonBlue );
			break;
		case ID_buttonRed:
			newObject = new Colorizer();
			newObject->setColor( red );
			startConstructionMode(  Str_buttonRed );
			break;
		case ID_buttonGreen:
			newObject = new Colorizer();
			newObject->setColor( darkGreen );
			startConstructionMode(  Str_buttonGreen );
			break;
		case ID_buttonThinLine:
			newObject = new Thicker();
			newObject->setSize( 5 );
			newObject->setWidth( 1 );
			startConstructionMode(  Str_buttonThinLine );
			break;
		case ID_buttonMiddleLine:
			newObject = new Thicker();
			newObject->setSize( 11 );
			newObject->setWidth( 3 );
			startConstructionMode(  Str_buttonMiddleLine );
			break;
		case ID_buttonThickLine:
			newObject = new Thicker();
			newObject->setSize( 21 );
			newObject->setWidth( 5 );
			startConstructionMode(  Str_buttonThickLine );
			break;
		case ID_buttonPointxy:
			CoordinatesDialog *coords = new CoordinatesDialog( 0, 0, true,0 );
			coords->X->setRange( - MetricsCenter::xMax, MetricsCenter::xMax, 1, false );
			coords->Y->setRange( - MetricsCenter::yMax, MetricsCenter::yMax, 1, false );
			coords->X->setFocus();
		  if ( ( coords->exec() ) )
			{
				Coordinates coord1( coords->X->value(), coords->Y->value() );
				MetricsCenter::mapGridToCanvas( coord1 );
				newObject = new Point();
				startConstructionMode( Str_buttonPointxy );
				insertObject( coord1 );
			}
			else
			{
				startMoveMode();
			}
			delete coords;
			break;
	}
}
